Skip to content
Start here

Create Vectorize Index

vectorize.indexes.create(IndexCreateParams**kwargs) -> CreateIndex
POST/accounts/{account_id}/vectorize/v2/indexes

Creates and returns a new Vectorize Index.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Vectorize Write
ParametersExpand Collapse
account_id: str

Identifier

maxLength32
config: Config

Specifies the type of configuration to use for the index.

One of the following:
class IndexDimensionConfiguration:
dimensions: int

Specifies the number of dimensions for the index

maximum1536
minimum1
metric: Literal["cosine", "euclidean", "dot-product"]

Specifies the type of metric to use calculating distance.

One of the following:
"cosine"
"euclidean"
"dot-product"
class ConfigVectorizeIndexPresetConfiguration:
preset: Literal["@cf/baai/bge-small-en-v1.5", "@cf/baai/bge-base-en-v1.5", "@cf/baai/bge-large-en-v1.5", 2 more]

Specifies the preset to use for the index.

One of the following:
"@cf/baai/bge-small-en-v1.5"
"@cf/baai/bge-base-en-v1.5"
"@cf/baai/bge-large-en-v1.5"
"openai/text-embedding-ada-002"
"cohere/embed-multilingual-v2.0"
name: str
description: Optional[str]

Specifies the description of the index.

ReturnsExpand Collapse
class CreateIndex:
config: Optional[IndexDimensionConfiguration]
dimensions: int

Specifies the number of dimensions for the index

maximum1536
minimum1
metric: Literal["cosine", "euclidean", "dot-product"]

Specifies the type of metric to use calculating distance.

One of the following:
"cosine"
"euclidean"
"dot-product"
created_on: Optional[datetime]

Specifies the timestamp the resource was created as an ISO8601 string.

formatdate-time
description: Optional[str]

Specifies the description of the index.

modified_on: Optional[datetime]

Specifies the timestamp the resource was modified as an ISO8601 string.

formatdate-time
name: Optional[str]

Create Vectorize Index

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
create_index = client.vectorize.indexes.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    config={
        "dimensions": 768,
        "metric": "cosine",
    },
    name="example-index",
)
print(create_index.config)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "config": {
      "dimensions": 768,
      "metric": "cosine"
    },
    "created_on": "2022-11-15T18:25:44.442097Z",
    "description": "This is my example index.",
    "modified_on": "2022-11-15T18:25:44.442097Z",
    "name": "example-index"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "config": {
      "dimensions": 768,
      "metric": "cosine"
    },
    "created_on": "2022-11-15T18:25:44.442097Z",
    "description": "This is my example index.",
    "modified_on": "2022-11-15T18:25:44.442097Z",
    "name": "example-index"
  },
  "success": true
}